#include "testlib.h"
#include <set>

std::set<int> read(InStream &stream, int n) {
    int cnt = stream.readInt(0, n);
    std::set<int> res;
    
    for (int i = 0; i != cnt; ++i) {
        int curr = stream.readInt(1, n);
        
        if (res.find(curr) != res.end()) {
            stream.quitf(_wa, "%d appeared twice", curr);
        }
        res.insert(curr);
    }
    
    return res;
}

int main(int argc, char **argv) {
    registerTestlibCmd(argc, argv);
    
    int n = inf.readInt();
    // int m = inf.readInt();
    
    std::set<int> ja = read(ans, n);
    std::set<int> pa = read(ouf, n);
    
    if (pa != ja) {
        quitf(_wa, "Answers are different");
    }
    
    quitf(_ok, "%d", (int)pa.size());
}
