#include <cstdio>
#include <vector>
#include <algorithm>
#include <ctime>

using namespace std;

long long answer = 0;
vector <int> ans;
vector <int> current;
int n, k;

bool check(vector <int> &current) {
    for (int i = 0; i < n; ++i) {
        for (int j = 1; j < n; ++j) {
            if (!(current[i * n + j - 1] < current[i * n + j])) {
                return false;
            }
        }
    }
    return true;
}

long long calculateAns(vector <int> &current) {
    long long cur = 0;
    for (int i = 0; i < n; ++i) {
        cur += current[i * n + k - 1];
    }
    return cur;
}

bool isTL() {
    return (float) clock() / CLOCKS_PER_SEC > 1.6;
}

int main() {
    scanf("%d %d", &n, &k);

    current.resize(n * n);
    for (int i = 0; i < n * n; ++i)
        current[i] = i + 1;
    answer = calculateAns(current);
    ans = current;
    while (!isTL()) {
        random_shuffle(current.begin(), current.end());
        int cur = calculateAns(current);
        if (check(current) && cur > answer) {
            answer = cur;
            ans = current;
        }
    }

    printf("%d\n", answer);
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            printf("%d ", ans[i * n + j]);
        }
        printf("\n");
    }
    return 0;
}
