#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
#define sz(c) (int)(c).size()
#define pb push_back
#define mp make_pair
#define x first
#define y second
bool ins(int p, int x, int y) {
  return x <= p && p <= y;
}
const int inf = (int)1e9 + 10;
int n, m;
struct Time {
  int t, i;
  Time() {
  }
  Time(int _t, int _i) : t(_t), i(_i) {
    if (i == n) {
      i = 0;
      t++;
    }
  }
};
bool operator < (const Time& a, const Time& b) {
  return mp(a.t, a.i) < mp(b.t, b.i);
}
bool operator == (const Time& a, const Time& b) {
  return mp(a.t, a.i) == mp(b.t, b.i);
}
const int maxn = (int)1e5;
int x[maxn];
Time touched[maxn];
int v[maxn];
int nx[maxn];
int pr[maxn];
bool live[maxn];
pair<int, int> p[maxn];
Time curT;
int getx(int i, Time t) {
  assert(!(t < touched[i]));
  int cnt = max(0, t.t - touched[i].t - 1);
  if (touched[i].t == t.t) {
    if (i >= touched[i].i && i < t.i) {
      cnt++;
    }
  } else {
    if (i >= touched[i].i) {
      cnt++;
    }
    if (i < t.i) {
      cnt++;
    }
  }
  return int((x[i] + (ll)cnt * v[i]) % m);
}
Time gett(int i, int j) {
  if (i == j) {
    return Time(inf, 0);
  }
  Time T = curT;
  Time T1 = Time(T.t, i);
  if (T1 < T) {
    T1.t++;
  }
  int x1 = getx(i, T1);
  int x2 = getx(j, T1);
  int d = x2 - x1;
  if (d <= 0) {
    d += m;
  }
  if (d <= v[i]) {
    return Time(T1.t, T1.i + 1);
  }
  if (v[i] <= v[j]) {
    return Time(inf, 0);      
  }
  int cnt = (d - v[i] + v[i] - v[j] - 1) / (v[i] - v[j]);
  T1.t += cnt;
  return Time(T1.t, T1.i + 1);  
}
int main(){
  scanf("%d %d", &n, &m);
  for (int i = 0; i < n; i++) {
    scanf("%d %d", &x[i], &v[i]);
    x[i]--;
    p[i] = mp(x[i], i);
    touched[i] = Time(0, 0);
  }
  curT = Time(0, 0);
  sort(p, p + n);
  for (int i = 0; i < n; i++) {
    nx[p[i].y] = p[(i + 1) % n].y;
    live[i] = 1;
  }  
  for (int i = 0; i < n; i++) {
    pr[nx[i]] = i;
  }
  set<pair<Time, int>> events;
  for (int i = 0; i < n; i++) {
    events.insert(mp(gett(i, nx[i]), i));
  }
  while (1) {
    auto tp = *events.begin();
    events.erase(events.begin());
    if (tp.x.t >= inf) break;
    int i = tp.y;
    if (!live[i]) continue;
    Time newT = tp.x;
    Time prT = gett(pr[i], i);
    int dec = 0;
    while (1) {
      int j = nx[i];
      if (gett(i, j) == newT) {
        live[j] = 0;
        nx[i] = nx[j];
        pr[nx[i]] = i;
        dec++;
      } else {
        break;
      }
    }
    x[i] = getx(i, newT);
    touched[i] = newT;
    v[i] -= dec;
    curT = newT;
    events.erase(mp(prT, pr[i]));
    events.insert(mp(gett(i, nx[i]), i));
    events.insert(mp(gett(pr[i], i), pr[i]));
  }
  vector<int> ans;
  for (int i = 0; i < n; i++) if (live[i]) {
    ans.pb(i);
  }
  printf("%d\n", sz(ans));
  for (int id : ans) {
    printf("%d ", id + 1);
  }
  return 0;
}
