#include <cstdio>
#include <vector>
#include <algorithm>

using namespace std;

int answer = 0;
vector <int> ans;
vector <int> current;
int n, k;

bool check() {
    for (int i = 0; i < n; ++i) {
        for (int j = 1; j < n; ++j) {
            if (!(current[i * n + j - 1] < current[i * n + j])) {
                return false;
            }
        }
    }
    return true;
}

int calculateAns() {
    int cur = 0;
    for (int i = 0; i < n; ++i) {
        cur += current[i * n + k - 1];
    }
    return cur;
}

int main() {
    scanf("%d %d", &n, &k);
    current.resize(n * n);
    for (int i = 0; i < n * n; ++i)
        current[i] = i + 1;
    do {
        int cur = calculateAns();
        if (check() && cur > answer) {
            answer = cur;
            ans = current;
        }
    } while (next_permutation(current.begin(), current.end()));
    printf("%d\n", answer);
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            printf("%d ", ans[i * n + j]);
        }
        printf("\n");
    }
    return 0;
}
